Subject: Re: [Mipshop] title of draft-ietf-mipshop-mos-dns-discovery misleading

From: Jari Arkko <[email-masked]>
Date: Tue, 23 Sep 2008 14:49:34 +0300

Glen,

> I would strongly suggest that the title be changed to "Locating IEEE 802.21
> Mobility Servers using the DNS" or something similar.  There are certainly
> varieties of "Mobility Servers" & mobility services other than 802.21.

This seems like the appropriate thing to do.

> BTW,
> I can't find any mention of 802.21 in the mipshop charter, yet this draft
> has a WG affiliation.  What's up w/that? 
>   

That's VERY interesting! The charter text does not look very familiar to 
me! The last charter text that I have is attached to this message (from 
last December's recharter announcement). There was a problem with some 
information being lost or files reverted to their old versions with the 
transition of the secretariat services at the beginning of the year. We 
had to reset some of the charters manually because of this. Maybe this 
is related to that, and no one has noticed in the meantime? Chairs, 
please sort this out and send a message to the secretary to update the 
charter to the right one!

Jari

> The charter of the MIPv6 Signaling and Handoff Optimization (mipshop)
> working group in the Internet Area of the IETF has been updated. 
> For additional information, please contact the Area Directors or 
> the working group Chairs.
>
> +++
>
> MIPv6 Signaling and Handoff Optimization (mipshop)
> --------------------------------------------------
>
> Current Status: Active Working Group
>
> Chair(s):
> Stefano Faccin <[email-masked]> 
> Vijay Devarapalli <[email-masked]> 
>
> Internet Area Director(s):
> Jari Arkko <[email-masked]> 
> Mark Townsley <[email-masked]> 
>
> Internet Area Advisor:
> Jari Arkko <[email-masked]> 
>
> Mailing Lists:
> General Discussion: [email-masked]
> To Subscribe: [email-masked]
> In Body: subscribe
> Archive: http://www.ietf.org/mail-archive/web/mipshop/index.html
>
> Description of Working Group:
>
> Mobile IPv6 enables IPv6 mobile nodes to continue using a given "home
> address" in spite of changes in its point of attachment to the
> network. These changes may cause delay, packet loss, and also
> represent overhead traffic on the network. Previously the MIPSHOP WG
> worked on two technologies to address these issues. Hierarchical
> Mobile IPv6 (HMIPv6, RFC 4140) reduces the amount and latency of
> signaling between a MN, its Home Agent and one or more correspondent
> nodes. Fast Handovers for Mobile IPv6 (FMIPv6, RFC 4068) reduces
> packet loss by providing fast IP connectivity as soon as the mobile
> node establishes a new point of attachment at a new link.
>
> As part of its previous set of work items, MIPSHOP published these two
> protocols as experimental RFCs. Further implementation work by the
> community has increased the understanding of how FMIPv6 behaves or
> should behave on other link layers, and in general. Similarly, further
> implementation and experimentation with HMIPv6 has resulted in better
> understanding of the protocol. Accordingly, MIPSHOP will continue work
> on HMIPv6 and FMIPv6 and the necessary extensions in order to publish
> them as proposed standards.
>
> Additionally, the IEEE 802.21 Media Independent Handoff (MIH) working
> group aims at providing services to assist with handoffs between
> heterogeneous link-layer technologies, and across IP subnet
> boundaries. The information exchanges defined by IEEE 802.21 are
> classified as MI (Media Independent) Event Service (MIES), MI Command
> Service (MICS), and MI Information Service (MIIS). The MIIS provides
> topological and location-related information of service networks. The
> MIES provides timely communications of wireless environment
> information via the delivery of events originating across the
> link-layer or farther away. The MICS is an analogous service for
> commands which can change the state of the wireless link or of a
> host's point of attachment, potentially triggering further event
> generation. MIH services can be delivered through link-layer specific
> solutions and/or through a "layer 3 or above" protocol. MIPSHOP will
> define the delivery of information for MIH services for this latter
> case. Notice that this allows the network information to reside
> anywhere (not necessarily across the link-layer hop), and enables MIH
> services even in the absence of the corresponding link-layer support.
> An L3 based mechanism to identify a valid information server is also
> required. A liaison with IEEE 802.21 has been established, and access
> to the IEEE 802.21 drafts is granted to mipshop members. Interested
> members need to send a request to the WG chairs in order to obtain a
> copy of the current IEEE 802.21 draft.
>
> The MOBOPTS Research Group in the IRTF is chartered to work on
> optimizations related to Mobile IPv6 and IP handoffs among other
> things. The MIPSHOP WG will take mature proposals from the MOBOPTS
> group and standardize them in the IETF on a case-by-case basis. One
> such proposal on improving the Mobile IPv6 Return Routability
> procedure by reducing the round trip times required to complete the
> procedure, and increasing the length of time before the procedure
> needs to be run again, has already been taken up the MIPSHOP WG and
> stadardized.
>
> Scope of MIPSHOP:
>
> The working group will:
>
> 1. Revise the specification of HMIPv6 (RFC 4140) protocol to advance
> it to Proposed Standard. This implies:
>
> * Define the use of IKEv2 for MN-MAP security
> * Streamline and refine the current HMIPv6 specification.
> Document: draft-ietf-mipshop-4140bis
>
> 2. Revise the specification of FMIPv6 protocol (RFC 4068) to advance
> it to Proposed Standard.
>
> * Work on mobile node - access router security using both the AAA
> infrastructure, and keys derived from SeND
> Documents: draft-ietf-mipshop-handover-keys-aaa,
> draft-ietf-mipshop-handover-key
> * Streamline and refine the current FMIPv6 specification
> Document: draft-ietf-mipshop-fmipv6-rfc4068bis
>
> 3. Work on the application of FMIPv6 on two examples link-layers for
> advancement as Informational RFCs:
>
> * IEEE 802.16e (and WiMax)
> * 3G CDMA 2K networks
> Documents: draft-ietf-mipshop-fh80216e, draft-ietf-mipshop-3gfh
>
> 4. Work on areas of mutual interest to IEEE 802.21 and MIPSHOP:
>
> * Complete the problem statement, and a specification on transport
> of IEEE 802.21 services over IP.
> Documents: draft-ietf-mipshop-mis-ps (Problem Satement),
> draft-ietf-mipshop-mih-support (transport of 802.21
> services over IP, including security aspects)
>
> 5. Standardize mature proposals from MOBOPTS Research Group.
> Adoption of specific proposals requires rechartering.
>
> Goals and Milestones:
>
> Done Working Group Last Call on draft-ietf-mipshop-hmip
> Done Working Group Last Call on draft-ietf-mipshop-lmm-requirements
> Done Working Group Last Call on draft-ietf-mipshop-fmipv6
> Done Submit draft-ietf-mipshop-lmm-requirements to IESG for
> publication as Informational
> Done Submit draft-ietf-mipshop-fmipv6 to IESG for consideration
> of publication as Experimental
> Done Submit draft-ietf-mipshop-hmip to IESG for consideration
> of publication as Experimental
> Done Working Group Last Call on draft-ietf-mipshop-80211fh for
> Informational
> Done Submit draft-ietf-mipshop-80211fh to IESG for
> consideration of publication as Informational
> Done Working Group Last Call on draft-ietf-mipshop-cga-cba
> Done Submit draft-ietf-mipshop-cga-cba to IESG for publication as
> Proposed Standard
> Done Working Group Last Call on draft-ietf-mipshop-mis-ps
> Jun 2007 Working Group Last Call on draft-ietf-mipshop-fmipv6-rfc4068bis
> Jun 2007 Working Group Last Call on draft-ietf-mipshop-handover-key-send
> Jun 2007 Submit draft-ietf-mipshop-mis-ps to IESG for publication as
> Informational RFC
> Jul 2007 Working Group Last Call on draft-ietf-mipshop-rfc4041bis
> Aug 2007 Working Group Last Call on draft-ietf-mipshop-3gfh
> Aug 2007 Working Group Last Call on draft-ietf-mipshop-fh80216e
> Aug 2007 Submit draft-ietf-mipshop-fmipv6-rfc4068bis to IESG for
> publication as Proposed Standard
> Aug 2007 Submit draft-ietf-mipshop-handover-key-send to IESG for
> publication as Proposed Standard
> Sep 2007 Submit draft-ietf-mipshop-3gfh to IESG for publication as
> Informational RFC
> Oct 2007 Submit draft-ietf-mipshop-4140bis to IESG for publication as
> Proposed Standard
> Oct 2007 Submit draft-ietf-mipshop-fh80216e to IESG for publication
> as Informational RFC
> Nov 2007 Working Group Last Call on draft-ietf-mipshop-mih-support
> Jan 2008 Submit draft-ietf-mipshop-mih-support to IESG for
> publication as Proposed Standard

_______________________________________________
Mipshop mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/mipshop

---

From: "Vijay Devarapalli" <[email-masked]>
Date: Tue, 23 Sep 2008 14:12:45 -0400

> charter to the right one!

When this happened the last time, I had checked. The charter text was
fine at that time. Looks like it happened again. It went back to some
charter text from 2005. :)

I will follow up with the IESG secretariat.

Vijay

---

From: "Glen Zorn" <[email-masked]>
Date: Mon, 22 Sep 2008 17:26:06 -0700

varieties of "Mobility Servers" & mobility services other than 802.21.  BTW,

---

From: <[email-masked]>
Date: Thu, 25 Sep 2008 18:23:31 -0500

Glen,

We got your earlier mail on this, thanks.
MIPSHOP charter is going to be restored soon and it does include 802.21.

As of the title, I think it's a fair request. The only problem is that
the problem statement document is already published (RFC5164) and has
the title " Mobility Services Transport: Problem Statement "

Perhaps we can change the title of the remaining 3 documents regardless.

- Gabor

  >-----Original Message-----
  >From: [email-masked] [mailto:[email-masked]] On
  >Behalf Of ext Glen Zorn
  >Sent: Monday, September 22, 2008 5:26 PM
  >To: Bajko Gabor (Nokia-OCTO/MtView)
  >Cc: [email-masked]
  >Subject: [Mipshop] title of draft-ietf-mipshop-mos-dns-discovery
  >misleading
  >